Vai al contenuto

# F_GET_TOT_OSPITI

## Codice Sorgente

```sql FUNCTION "F_GET_TOT_OSPITI" ( p_id_evento IN NUMBER, p_tipo_ospite IN NUMBER := -1 ) RETURN NUMBER AS v_tot NUMBER; BEGIN v_tot := 0; BEGIN SELECT nvl(SUM(numero), 0) INTO v_tot FROM eventi_det_ospiti WHERE id_evento = p_id_evento AND ( cod_tipo_ospite = p_tipo_ospite OR p_tipo_ospite = - 1 );

    EXCEPTION
        WHEN OTHERS THEN
            v_tot := 0;
    END;

    RETURN v_tot;

END;```